#version 430 core
out vec4 color;
  
in vec2 uvCoords;

uniform sampler2D sceneComb;
uniform sampler2D glowBlur;

const float glowStrength = 0.9f;

void main()
{             
    vec3 sceneColor = texture(sceneComb, uvCoords).rgb;      
    vec3 glowColor = texture(glowBlur, uvCoords).rgb;
	color = vec4(sceneColor + (glowColor * glowStrength), 1.0f);
}  