#version 430 core

in vec2 texCoords;
in vec2 texCoords2;

flat in float TTL0;

in float blend;	

out vec4 FragColor;

uniform sampler2D sprite;
uniform float brightness;

void main(){

        vec4 colour1 = texture(sprite,texCoords);
        vec4 colour2 = texture(sprite,texCoords2);

        vec4 finalColor = mix(colour1,colour2,blend);
        FragColor = finalColor* brightness;
        
        /*colour1 = colour1*brightness;
        colour2 = colour2*brightness;
        
        FragColor = mix(colour1,colour2,blend);*/
        
}

