#version 430 core

layout(location = 0) in vec3 position;
layout(location = 1) in vec3 normal;
layout(location = 2) in vec2 uv;

uniform mat4 modelMatrix;
uniform mat4 lightSpaceMatrix;

out vec2 TexCoords;

void main() {
	vec4 position_world_ = modelMatrix * vec4(position, 1.0f);
	gl_Position = lightSpaceMatrix * position_world_;
        TexCoords = uv;
}