#version 430 core
out vec4 color;
  
in vec2 uvCoords;

uniform sampler2D scene;  
uniform vec2 direction;

void main()
{             
    vec2 pixelSize = 1.0f / vec2(textureSize(scene, 0)/2.0f) * direction; 
    vec4 result = vec4(0.0f);

	result += texture(scene, uvCoords) * 0.382925;
	result += texture(scene, uvCoords - (pixelSize * 5)) * 0.000005;
	result += texture(scene, uvCoords - (pixelSize * 4)) * 0.000239;
    result += texture(scene, uvCoords - (pixelSize * 3)) * 0.005987;
	result += texture(scene, uvCoords - (pixelSize * 2)) * 0.060600;
	result += texture(scene, uvCoords - (pixelSize * 1)) * 0.24174;
	result += texture(scene, uvCoords + (pixelSize * 1)) * 0.24174;
	result += texture(scene, uvCoords + (pixelSize * 2)) * 0.060600;
	result += texture(scene, uvCoords + (pixelSize * 3)) * 0.005987;
	result += texture(scene, uvCoords + (pixelSize * 4)) * 0.000239;
	result += texture(scene, uvCoords + (pixelSize * 5)) * 0.000005;

    color = result;
}